Subject: bug#5410: Parenthesis Matching Bug!!

From: Matrix <[email-masked]>
Date: Mon, 18 Jan 2010 20:20:37 +0800

Hello , developer! I am a student of china . I like emacs very much .
I use it to read txt-format book(because the color-theme of my emacs is
very good for eye!^^) . I also use emacs to coding!good~!!
   But now I find a bug in emacs :( . May be it`s not a bug , I want to
believe this.Now The-Bug as follow:

   //      Print a message and dump core (equivalent to ASSERT(FALSE)
without
//      making the compiler whine).

   The Parenthesis-Matching-highlight is work with the second '(' .
yeah  , When my cursor at the second '(' the first ')' highlight . But
when my cursor at first '(' , the second ')' doesn`t highlight and show 
unmatch Parenthesis....I think this is wrong , It match as:  (  ( )  ).

   ^^ , I like emacs , I want it  to be  more good tool for me and other
programer!!
   Thanks developers!!!